Subject: AUTH48 for HTTP/3 and QPACK

From: Mike Bishop <[email-masked]>
Date: Mon, 14 Feb 2022 19:17:47 +0000

I'm back from parental leave (cute pictures available in a less-public forum) and starting to dig into the AUTH48 feedback we got while I was out.  In general, here's the process I intend to follow for HTTP/3:

  *   I've created a separate branch for AUTH48 changes, h3qp_auth48.  (Sorry if you have to type it.)  I don't plan to merge that back to main until we submit the final(?) XML to the RFC Editor, in part so it's easy to compare what we submitted to what we're sending back.
  *   I will produce a PR with all the purely copyediting changes.  My intent is to land that PR before any others.
  *   The PRs which have been accumulated and approved are re-targeted to that branch.  This e-mail is your warning that I intend to merge them shortly, so if you disagree with anything on this list, speak up now.  Specifically, those are:
     *   https://github.com/quicwg/base-drafts/pull/4927 - Fix typo in GOAWAY frame encoding
     *   https://github.com/quicwg/base-drafts/pull/4931 - Recommend careful behavior around push streams
     *   https://github.com/quicwg/base-drafts/pull/4932 - Track httpwg/http-core#907: SEMANTICS->HTTP
     *   https://github.com/quicwg/base-drafts/pull/4936 - Reference the concept [of transfer codings], not the header
     *   https://github.com/quicwg/base-drafts/pull/4937 - Fix ASCII code for LF, NUL
     *   https://github.com/quicwg/base-drafts/pull/4941 - Specify CONNECT error handling bidirectionally
     *   https://github.com/quicwg/base-drafts/pull/4942 - Clarify unknown unidirectional stream handling
  *   The RFC Editor questions which are larger than copyediting but still seem to have single-location fixes are collected into PR#4954<https://github.com/quicwg/base-drafts/pull/4954>
  *   RFC Editor questions which are less localized or have less-obvious resolutions got issues filed but still need PRs:
     *   https://github.com/quicwg/base-drafts/issues/4945 - Keywords
     *   https://github.com/quicwg/base-drafts/issues/4946 - H3 is like H2 but uses QUIC, we get it
     *   https://github.com/quicwg/base-drafts/issues/4947 - Requests and required header fields
     *   https://github.com/quicwg/base-drafts/issues/4948 - Should any drawings be sourcecode?
     *   https://github.com/quicwg/base-drafts/issues/4949 - Frequency of citations
     *   https://github.com/quicwg/base-drafts/issues/4950 - Capitalization consistency
     *   https://github.com/quicwg/base-drafts/issues/4951 - Header field, field, and state names
     *   https://github.com/quicwg/base-drafts/issues/4952 - References to ASCII characters
  *   One issue that didn't come from AUTH48 but is probably worth reconciling now:  https://github.com/quicwg/base-drafts/issues/4953 - Control data

...and hopefully at that point, we'll be ready to publish.  Alan will follow a similar process with QPACK.